GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
reg Struct Reference

`#include "regdef.h"`

## Public Member Functions
bool | operator== (const reg &other) const
bool | operator!= (const reg &other) const

## Public Attributes
const char * | name
int | offset
int | size

## Detailed Description

Definition at line 22 of file regdef.h.

## Member Function Documentation

## ◆ operator!=()

bool reg::operator!= | ( | const reg & | other | ) | const
| inline

Definition at line 45 of file regdef.h.

## ◆ operator==()

bool reg::operator== | ( | const reg & | other | ) | const
| inline

Definition at line 38 of file regdef.h.

References name, offset, and size.

## Member Data Documentation

## ◆ name

const char* reg::name

Definition at line 25 of file regdef.h.

Referenced by append_user_reg(), m32c_register_reggroup_p(), m68hc11_get_register_info(), maintenance_print_user_registers(), operator==(), tdesc_find_register_early(), tdesc_find_type(), tdesc_register_name(), tdesc_register_type(), user_reg_map_name_to_regnum(), user_reg_map_regnum_to_name(), user_regs_init(), print_c_tdesc::visit(), print_c_feature::visit(), and xtensa_register_read_masked().

## ◆ offset

int reg::offset

Definition at line 33 of file regdef.h.

Referenced by operator==(), sparc32_dwarf2_frame_init_reg(), and sparc64_dwarf2_frame_init_reg().

## ◆ size

int reg::size

Definition at line 36 of file regdef.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/regformats/regdef.h